package com.unis.base.server.entity;

import java.util.Date;

import javax.persistence.Column;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModelProperty;

public class TyShougouqiyebeian {
    
	private String id;

    @ApiModelProperty(value = "所在行政区域", notes ="所在行政区域")
    @Column(name="szxzqy")
    private String szxzqy;

    @ApiModelProperty(value = "企业名称", notes ="企业名称")
    @Column(name="qymc")
    private String qymc;

    @ApiModelProperty(value = "统一社会信用代码", notes ="统一社会信用代码")
    @Column(name="tyshxydm")
    private String tyshxydm;

    @ApiModelProperty(value = "地址", notes ="地址")
    @Column(name="dz")
    private String dz;

    @ApiModelProperty(value = "联系人", notes ="联系人")
    @Column(name="lxr")
    private String lxr;

    @ApiModelProperty(value = "电话", notes ="电话")
    @Column(name="dh")
    private String dh;

    @ApiModelProperty(value = "备案机关", notes ="备案机关")
    @Column(name="bajg")
    private String bajg;

    @ApiModelProperty(value = "备案日期", notes ="备案日期")
    @Column(name="barq")
    @DateTimeFormat( pattern = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date barq;

    @ApiModelProperty(value = "整改状态", notes ="整改状态")
    @Column(name="sjzt")
    private Integer sjzt;

    @ApiModelProperty(value = "创建时间", notes ="创建时间")
    @Column(name="cjsj")
    @DateTimeFormat( pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date cjsj;

    @ApiModelProperty(value = "创建用户", notes ="创建用户")
    @Column(name="创建用户")
    private String cjyh;

    @ApiModelProperty(value = "创建单位", notes ="创建单位")
    @Column(name="cjdw")
    private String cjdw;

    @ApiModelProperty(value = "详细地址", notes ="详细地址")
    @Column(name="xxdz")
    private String xxdz;

    /**
     * null
     * @return id null
     */
    public String getId() {
        return id;
    }

    /**
     * null
     * @param id null
     */
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    /**
     * null
     * @return szxzqy null
     */
    public String getSzxzqy() {
        return szxzqy;
    }

    /**
     * null
     * @param szxzqy null
     */
    public void setSzxzqy(String szxzqy) {
        this.szxzqy = szxzqy == null ? null : szxzqy.trim();
    }

    /**
     * null
     * @return qymc null
     */
    public String getQymc() {
        return qymc;
    }

    /**
     * null
     * @param qymc null
     */
    public void setQymc(String qymc) {
        this.qymc = qymc == null ? null : qymc.trim();
    }

    /**
     * null
     * @return tyshxydm null
     */
    public String getTyshxydm() {
        return tyshxydm;
    }

    /**
     * null
     * @param tyshxydm null
     */
    public void setTyshxydm(String tyshxydm) {
        this.tyshxydm = tyshxydm == null ? null : tyshxydm.trim();
    }

    /**
     * null
     * @return dz null
     */
    public String getDz() {
        return dz;
    }

    /**
     * null
     * @param dz null
     */
    public void setDz(String dz) {
        this.dz = dz == null ? null : dz.trim();
    }

    /**
     * null
     * @return lxr null
     */
    public String getLxr() {
        return lxr;
    }

    /**
     * null
     * @param lxr null
     */
    public void setLxr(String lxr) {
        this.lxr = lxr == null ? null : lxr.trim();
    }

    /**
     * null
     * @return dh null
     */
    public String getDh() {
        return dh;
    }

    /**
     * null
     * @param dh null
     */
    public void setDh(String dh) {
        this.dh = dh == null ? null : dh.trim();
    }

    /**
     * null
     * @return bajg null
     */
    public String getBajg() {
        return bajg;
    }

    /**
     * null
     * @param bajg null
     */
    public void setBajg(String bajg) {
        this.bajg = bajg == null ? null : bajg.trim();
    }

    /**
     * null
     * @return barq null
     */
    public Date getBarq() {
        return barq;
    }

    /**
     * null
     * @param barq null
     */
    public void setBarq(Date barq) {
        this.barq = barq;
    }

    /**
     * null
     * @return sjzt null
     */
    public Integer getSjzt() {
        return sjzt;
    }

    /**
     * null
     * @param sjzt null
     */
    public void setSjzt(Integer sjzt) {
        this.sjzt = sjzt;
    }

    /**
     * null
     * @return cjsj null
     */
    public Date getCjsj() {
        return cjsj;
    }

    /**
     * null
     * @param cjsj null
     */
    public void setCjsj(Date cjsj) {
        this.cjsj = cjsj;
    }

    /**
     * null
     * @return cjyh null
     */
    public String getCjyh() {
        return cjyh;
    }

    /**
     * null
     * @param cjyh null
     */
    public void setCjyh(String cjyh) {
        this.cjyh = cjyh == null ? null : cjyh.trim();
    }

    /**
     * null
     * @return cjdw null
     */
    public String getCjdw() {
        return cjdw;
    }

    /**
     * null
     * @param cjdw null
     */
    public void setCjdw(String cjdw) {
        this.cjdw = cjdw == null ? null : cjdw.trim();
    }

    /**
     * null
     * @return xxdz null
     */
    public String getXxdz() {
        return xxdz;
    }

    /**
     * null
     * @param xxdz null
     */
    public void setXxdz(String xxdz) {
        this.xxdz = xxdz == null ? null : xxdz.trim();
    }
}